Subject: Re: [PATCH net 3/4] igc: Retrieve TX timestamp during interrupt handling

From: Vinicius Costa Gomes <[email-masked]>
Date: Mon, 05 Jun 2023 11:11:38 -0700

Marc Kleine-Budde <[email-masked]> writes:

> On 30.05.2023 10:49:27, Tony Nguyen wrote:
>> From: Vinicius Costa Gomes <[email-masked]>
>> 
>> When the interrupt is handled, the TXTT_0 bit in the TSYNCTXCTL
>> register should already be set and the timestamp value already loaded
>> in the appropriate register.
>> 
>> This simplifies the handling, and reduces the latency for retrieving
>> the TX timestamp, which increase the amount of TX timestamps that can
>> be handled in a given time period.
>
> What about renaming the igc_ptp_tx_work() function, as it's not
> scheduled work anymore, also IMHO you should update the function's
> comment.

Will rename the function and fix the comment for v2. Thanks.

>
> Marc
>
> -- 
> Pengutronix e.K.                 | Marc Kleine-Budde          |
> Embedded Linux                   | https://www.pengutronix.de |
> Vertretung Nürnberg              | Phone: +49-5121-206917-129 |
> Amtsgericht Hildesheim, HRA 2686 | Fax:   +49-5121-206917-9   |

Cheers,
-- 
Vinicius